Jump to content
aurels

Impossible De Mettre À Jour Parce Qu'impossible De Voir Les Modules !

Recommended Posts

Bonjour,

 

J'ai un GROS souci : je n'arrive plus à afficher les modules dans mon back-office. Chque fois que je clique sur l'une des sections de la page modules, cela me redirige vers un lien de type www.maboutique.com/admin000/modgo_administration (ou modgo_others, etc...)

 

Du coup, je me suis dit qu'en mettant à jour de Prestashop 1.4.0.17 à Prestashop 1.5.3.1, cela devrait résoudre bon nombre de problèmes. Seulement voilà : pour mettre à jour, il faut passer par le module d'update. Qui n'est pas accessible. Et donc cercle vicieux..

 

J'ai réuploadé les fichiers originaux de la 1.4.0.17 en me disant que peut-être un fichier était endommagé, mais non, ça fonctionne toujours pas... J'ai été voir les options d'URL simplifiées etc... aucune anomalie qui pourrait expliquer...

 

Aidez-moi, s'il vous plaît, tout au moins à retrouver l'accès aux modules, ou à mettre à jour PS !

 

Merci

Edited by aurels (see edit history)

Share this post


Link to post
Share on other sites

J'ai le même problème, les onglets renvoient vers un 404 puisqu'ils ne peuvent trouver modgo_nom_du_tab. Par exemple modgo_others correspond en fait à ?_autresModules (<- l'onglet qui porte ce nom). Malheuresement la doc de presta ne parle à aucun moment de ce modgo. Bref je vais essayé de trouver, si jamais j'arrive à trouver quelquechose je posterai ici au cas ou quelqu'un rencontre le même problème. Pour l'instant il n'y a aucun solution en ligne. aurels si vous avez réglez votre problème répondez que je ne me perde pas dans des heures de recherche inutile svp.

Share this post


Link to post
Share on other sites

Pourtant c'est ici ligne 800

 

{onAfter:function(){

$("#modgo_'.Tools::getValue('module_name').'").fadeTo(100, 0, function (){

$(this).fadeTo(100, 0, function (){

$(this).fadeTo(50, 1, function (){

$(this).fadeTo(50, 0, function (){

$(this).fadeTo(50, 1 )}

)}

)}

)}

)}

});').'

});').'

 

dans AdminModules.php

 

Je n'ai pas créer ce site mais je vais du coup tenter de voir du côté de modules possiblement installé qui ne serait pas dans un presta de base.

Share this post


Link to post
Share on other sites

Oui le problème viens de là (l.752 environ, juste au dessus du script mentionné plus haut)

 

if ($tab_module = Tools::getValue('tab_module'))

if (array_key_exists($tab_module, $this->listTabModules))

$goto = $tab_module;

else

$goto = 'others';

else

$goto = false;

var_dump($goto);

 

le var_dump me retourne false donc forcément le script ne marche pas donc...

Merci de vous pencher sur ce problème

Share this post


Link to post
Share on other sites

Quoique je retire ce que je viens de dire puisque j'ai un autre site qui marche bien, même code et même résultat pour le var_dump. Du coup la seule différence que je vois c'est que le site qui marceh rentre dans le document.ready et pas l'autre.

Share this post


Link to post
Share on other sites

Okay problème réglé -> dans js/ le dossier jquery n'était plus présent.

Le problème venait d'ailleurs (un .gitignore comportant un js/* ).

Share this post


Link to post
Share on other sites

Non non du tout dans un repo git personnel que j'avais réutilisé d'un autre projet, aucune inquiétude donc.

Share this post


Link to post
Share on other sites

Re,

 

Je crois que le problème vient plutôt du module mondialrelay dans certaines vielles versions. Notamment l'appel à getJqueryCompatibility() sur le hook BackOfficeHeader.

 

Cordialement

Share this post


Link to post
Share on other sites

Bonjour,

 

J'ai le meme probleme en local et ne trouve pas la solution.

Avez-vous resolu le probleme??

 

Merci de votre aide

Share this post


Link to post
Share on other sites

Bonjour,

 

J'ai le meme probleme en local et ne trouve pas la solution.

Avez-vous resolu le probleme??

 

Merci de votre aide

Bonjour

 

Merci de créer un topic à vous, là vous faites suite 1 an après à un topic concernant surement une autre version vu que depuis 1 an de nouvelles version sont sortie.

 

Précisez votre version et expliquez ce que vous avez fait avant l'incident. Le résultat est le même mais la cause peut être différente.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More